@import url('https://fonts.googleapis.com/css2?family=Roboto+Serif:opsz,wght@8..144,400;8..144,500;8..144,600;8..144,700&display=swap');

*{
    margin: 0;
    padding: 0;
    text-decoration: none;
}

:root{
    --bodyBg:#000000;
    --formBg:#343F4B;
    --textColor:#fff;
    --primaryColor:#0076A3;
    --paraColor:#5e6c79;
    --paraColor:#74828f;

}

body{
    font-family: 'Roboto Serif', serif;
    color: var(--textColor);
    background-color:var(--bodyBg); 
    padding-bottom: 5em;
}

section{
    display: flex;
    flex-direction: column;
    text-align: center;
    width: 90%;
    max-width: 550px;
    margin: auto;
    margin-top: 2em;
}

.sectionHeader{
    text-transform: capitalize;
    font-weight: bold;
    font-size: 1.1rem;
    color: var(--primaryColor);
    margin-bottom: .5em;
}

.heading,.sub-heading{
    margin-bottom: .5em;
    font-weight: bold;
}

.heading{
    font-size: 2.5em;
    animation: lights 5s 750ms linear infinite;
}

.sub-heading{
    text-align: left;
}

.contactForm{
    display: grid;
    gap: 3em;
}

form{
    width: 100%;
    margin-top: 3em;
}

.para{
    color: var(--paraColor);
    font-size: 1.1rem;
    line-height: 1.5em;
    margin-bottom: 1em;
}

.para2{
    text-align: left;
}

.input{
    width: 95%;
    max-width: 700px;
    border: none;
    font-size: .9rem;
    padding: 1em;
    outline: none;
    background-color: var(--formBg);
    color: var(--paraColor);
    border-radius: 10px;
    border: 1px solid rgb(53, 53, 53);
    margin-bottom: 1em;

}

.input:focus{
    border: 1px solid var(--primaryColor);
}

.input::placeholder{
    text-transform: capitalize;
}

.submit{
    background-color: #FF375E;
    border: none;
    color: var(--textColor);
    font-weight: bold;
    cursor: pointer;
    width: 100%;
}

.map-container{
    position: relative;
    width: 100%;
    height: 500px;
}

.mapBg{
    position: absolute;
    background-color: var(--primaryColor);
    top: 0;
    right: 0;
    width: 200px;
    height: 90%;
    border-radius: 20px;
}

.map{
    position: absolute;
    bottom: 0;
    left: 0;
    width: 90%;
    height: 90%;
}

.map iframe{
    width: 100%;
    height: 100%;
}

.contactMethod{
    display: flex;
    flex-direction: column;
    margin-top: 2em;
    text-align: left;
}

.method{
    display: flex;
    align-items: center;
}

.contactIcon{
    font-size: 2rem;
    color: var(--primaryColor);
    width: 70px;
}
@keyframes lights {
    0% {
      color: hsl(230, 40%, 80%);
      text-shadow:
        0 0 1em hsla(320, 100%, 50%, 0.2),
        0 0 0.125em hsla(320, 100%, 60%, 0.3),
        -1em -0.125em 0.5em hsla(40, 100%, 60%, 0),
        1em 0.125em 0.5em hsla(200, 100%, 60%, 0);
    }
    
    30% { 
      color: hsl(230, 80%, 90%);
      text-shadow:
        0 0 1em hsla(320, 100%, 50%, 0.5),
        0 0 0.125em hsla(320, 100%, 60%, 0.5),
        -0.5em -0.125em 0.25em hsla(40, 100%, 60%, 0.2),
        0.5em 0.125em 0.25em hsla(200, 100%, 60%, 0.4);
    }
    
    40% { 
      color: hsl(230, 100%, 95%);
      text-shadow:
        0 0 1em hsla(320, 100%, 50%, 0.5),
        0 0 0.125em hsla(320, 100%, 90%, 0.5),
        -0.25em -0.125em 0.125em hsla(40, 100%, 60%, 0.2),
        0.25em 0.125em 0.125em hsla(200, 100%, 60%, 0.4);
    }
    
    70% {
      color: hsl(230, 80%, 90%);
      text-shadow:
        0 0 1em hsla(320, 100%, 50%, 0.5),
        0 0 0.125em hsla(320, 100%, 60%, 0.5),
        0.5em -0.125em 0.25em hsla(40, 100%, 60%, 0.2),
        -0.5em 0.125em 0.25em hsla(200, 100%, 60%, 0.4);
    }
    
    100% {
      color: hsl(230, 40%, 80%);
      text-shadow:
        0 0 1em hsla(320, 100%, 50%, 0.2),
        0 0 0.125em hsla(320, 100%, 60%, 0.3),
        1em -0.125em 0.5em hsla(40, 100%, 60%, 0),
        -1em 0.125em 0.5em hsla(200, 100%, 60%, 0);
    }
    
    }
@media screen and (min-width:800px) {
    section{
        max-width: 1100px;
    }
    .contactForm{
        grid-template-columns: 1fr 1fr;
    }   

    .contactMethod{
        flex-direction: row;
        justify-content: space-between;
    }
}
